package merchant

import (
	"context"
	v1 "kami/api/merchant/v1"
	"kami/internal/service"
)

func (c *ControllerV1) MerchantDeployGetDetail(ctx context.Context, req *v1.MerchantDeployGetDetailReq) (res *v1.MerchantDeployGetDetailRes, err error) {
	data, err := service.MerchantDeployInfo().GetDetailByID(ctx, int(req.ID))
	if err != nil {
		return
	}
	res = &v1.MerchantDeployGetDetailRes{
		MerchantDeployRecord: data.MerchantDeployRecord,
	}
	return
}
